import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class GridConfig {
    static LIST: string = "grid/list"
    static ADD: string = "grid"
    static DELETE: string = "grid"
    static EDIT: string = "grid"
}
class GridStore extends BaseStore<TagDataType> {
    constructor() {
        super(GridConfig)
        makeObservable(this, {})
    }
}

export const gridStore = new GridStore();
